Last Comment Bug 425114 - (fx3-wsl10n-ka) Web services changes for Firefox 3 for Georgian
(fx3-wsl10n-ka)
: Web services changes for Firefox 3 for Georgian
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: ka / Georgian (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Future
Assigned To: Axel Hecht [:Pike]
: Nobody; OK to take it and work on it
Mentors:
Depends on:
Blocks: fx3-l10n-ka
  Show dependency treegraph
 
Reported: 2008-03-25 19:11 PDT by Mic Berman
Modified: 2008-04-15 03:29 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch for wikipedia.xml Georgian search engine in utf8 syntax (2.22 KB, patch)
2008-03-31 07:47 PDT, Gia Shervashidze
no flags Details | Diff | Splinter Review
patch for wikipedia.xml Georgian search engine in wiki syntax (2.12 KB, patch)
2008-03-31 07:48 PDT, Gia Shervashidze
l10n: review-
Details | Diff | Splinter Review
patch for wikipedia.xml Georgian search engine in "asis" syntax (2.11 KB, patch)
2008-03-31 07:48 PDT, Gia Shervashidze
no flags Details | Diff | Splinter Review
Georgian searchplugin wikipedia-ka.xml (1.25 KB, text/xml)
2008-03-31 15:59 PDT, Gia Shervashidze
no flags Details
Georgian searchplugin google-ge.xml (2.34 KB, text/xml)
2008-03-31 16:07 PDT, Gia Shervashidze
no flags Details
list.txt patch for wkipedia-ka (387 bytes, patch)
2008-04-14 14:07 PDT, Gia Shervashidze
no flags Details | Diff | Splinter Review
wikipedia-ka, cvs remove old plugins, fix region.properties (17.01 KB, patch)
2008-04-15 03:21 PDT, Axel Hecht [:Pike]
l10n: approval1.9+
Details | Diff | Splinter Review

Description Mic Berman 2008-03-25 19:11:07 PDT
Tracking any changes to web services for Georgian. 

Here are the defaults:
Search plugins: Google, Yahoo, Amazon, Answers, CC, eBay, Wikipedia

Readers: Bloglines, My Yahoo, Google
LB: BBC

Mailto: GMail, YahooMail, Hotmail
Calendar: 30boxes, Google, Yahoo

The guidelines for making recommendations is here:
http://wiki.mozilla.org/Firefox_web_services_guidelines

any ideas? sometimes what's useful is a dictionary search site
Comment 1 Axel Hecht [:Pike] 2008-03-29 09:31:57 PDT
Hi Gia,

any comments from your side? Should we add a search engine? Should we use the Georgian wikipedia instead of the English one? http://ka.wikipedia.org/ has some 20 thousand articles.

Any RSS feed handlers on Gergian, or popular in Gergia that we should think about?

Similar for protocol handlers, for mailto: or webcal: URLs?

Note, Hotmail already dropped off the en-US defaults, they won't get the implementation done in time.
Comment 2 Mic Berman 2008-03-29 10:51:48 PDT
Hi Gia - at least having Wikipedia is good and maybe a Georgian live bookmark is better than English BBC. I did some research on Georgian news but didn't find too much:
http://www.dioskuria.ru/ -- but it's in english
http://www.news.ge/ -- but it's a beta site
??

Please let us know ASAP. We are running low on time - you have about 1 week from Monday to finalize your decisions AND get permission from 3d party news source -  no pressure intended ;-) 
thanks
Comment 3 Gia Shervashidze 2008-03-29 16:59:39 PDT
Sorry for late answer - seems i must change my email address - flooded with spam

So, 
for sure - yes Axel
http://ka.wikipedia.org is quiet mature as well as
http://ka.wikiquote.org/wiki/ and somehow
http://ka.wikibooks.org/wiki/
also
http://www.google.ge/ must be best for search

Probably 
http://www.newsgeorgia.ge/ for live bookmarks
[and may be] http://www.posta.ge/ for mail
there are some other blog, mail, lb services and i need couple of days figure out other [possibly better] opportunities or we can leave existing services for now.

1 week is quiet enough,
Thanks
Comment 4 Mic Berman 2008-03-30 07:28:16 PDT
Gia, thanks
so great on ka.wikipedia.org and google.ge

for live bookmark, can you help me find a contact email on their website so I can write them now to gain permission. I've been on the site and can't seem to find a link for this.

for mailto posta.ge - I will get permission and for them to do the work we'd need them to do and post back when it's resolved
Comment 5 Gia Shervashidze 2008-03-30 15:56:36 PDT
http://www.newsgeorgia.ge/about/contacts.html (only Russian?), anyway...

here comes translation

for collecting and distributing info
newsgeorgia@telenet.ge

for advertisements
for conferences, presentations, pr, trainings
for project development
newsgeorgia@mail.ru

for technical issues
newsgeorgia@telenet.ge

here come some doubts - they have mistake in site title (window header)
ახალი ა_ძ_ბები - instead of ახალი ა_მ_ბები
additionally - information in some sections are outdated (~month)

Appreciated - if i'll have couple more days to find other [possibly more appropriate] "vacancies" (as well as for other services also).

Thanks,
g.\
Comment 6 Mic Berman 2008-03-31 05:16:05 PDT
sent newsgeorgia.ge email, will post permission in the bug when received
Comment 7 Axel Hecht [:Pike] 2008-03-31 06:07:10 PDT
Gia, can you create a patch to add wikipedia-ka instead of wikipedia (en)? http://mxr.mozilla.org/mozilla/source/browser/locales/en-US/searchplugins/wikipedia.xml is a good sample, the ShortName should be "ვიკიპედია (ka)" to match the wikipedia site. If it wouldn't, users would get another searchplugin offered when going there.

For google, we should just stick to the default plugin, IMHO, unless there's something fatally not working with it.
Comment 8 Gia Shervashidze 2008-03-31 07:46:13 PDT
[will be] attached below
All three must work (links checked, not patches itself [yet])
Difference are in link encodings:
utf8, wiki, and "asis" syntax
asis - could be most convenient for reviewing ;)

Georgian Google works smoothly more than 2 years
Comment 9 Gia Shervashidze 2008-03-31 07:47:20 PDT
Created attachment 312730 [details] [diff] [review]
patch for wikipedia.xml Georgian search engine in utf8 syntax

utf8 syntax
Comment 10 Gia Shervashidze 2008-03-31 07:48:00 PDT
Created attachment 312731 [details] [diff] [review]
patch for wikipedia.xml Georgian search engine in wiki syntax

wiki syntax
Comment 11 Gia Shervashidze 2008-03-31 07:48:42 PDT
Created attachment 312732 [details] [diff] [review]
patch for wikipedia.xml Georgian search engine in "asis" syntax

"asis" syntax
Comment 12 Axel Hecht [:Pike] 2008-03-31 09:23:40 PDT
Comment on attachment 312731 [details] [diff] [review]
patch for wikipedia.xml Georgian search engine in wiki syntax

r- on this one, as this is the closest.

1. Any patching of a file called wikipedia.xml is pointless, it will not be picked up. You happily regressed bug 413331 by checking all the cruft back in.

2. What you need to do is change list.txt to not include wikipedia, but wikipedia-ka, and create a wikipedia-ka.xml plugin. This one is close, but it's ignoring my comment 7 about the ShortName.
Comment 13 Gia Shervashidze 2008-03-31 15:59:45 PDT
Created attachment 312812 [details]
Georgian searchplugin wikipedia-ka.xml
Comment 14 Gia Shervashidze 2008-03-31 16:07:58 PDT
Created attachment 312813 [details]
Georgian searchplugin google-ge.xml

So, list will look like this
amazondotcom
answers
creativecommons
eBay
google-ge
wikipedia-ka
yahoo
is it acceptable?

Please note: links on page http://www.google.ge/firefox:
http://ka.www.mozilla.com/ka/firefox/community/
http://ka.www.mozilla.com/ka/firefox/about/
are functional also
Comment 15 Mic Berman 2008-04-06 08:04:02 PDT
the list is acceptable thanks.

from comment #5 it doesn't sound like that news source is a good one for live bookmark from what you wrote. is there another that you have found?
Comment 16 Mic Berman 2008-04-06 08:05:38 PDT
for mailto if you'd still like to consider http://www.posta.ge/ then i suggest we open another tracking bug to land that after RC1 - can you get me a contact there to email our request for permission and technical support please
Comment 17 Gia Shervashidze 2008-04-06 15:23:55 PDT
(In reply to comment #15)
...
> from comment #5 it doesn't sound like that news source is a good one for live
> bookmark from what you wrote. is there another that you have found?

This one looks not bad http://www.civil.ge/eng/ (Georgian content is richer)
Civil Georgia/Information and Analysis Directorate,
United Nations Association of Georgia
2 Dolidze St. Tbilisi 380015, Georgia
Tel/Fax: (+995 32) 33 25 16; (+995 32) 33 52 16;
E-mail: civilgeorgia@una.ge
URL: http://www.una.ge

as for mailto:
Unfortunately there are no better mail services in Georgia yet:
http://www.posta.ge/ & http://mail.top.ge/ only
Both of them powered by Caucasus network - support@caucasus.net.
The war between Georgian Telecom & Caucasus Online/Network started 3 days ago, may be its reasonable to wait.

g.\

P.S. In case of necessity i can connect directly to any
Comment 18 Mic Berman 2008-04-06 19:55:06 PDT
are they in georgian or english? they are both english for me
Comment 19 Gia Shervashidze 2008-04-07 00:35:51 PDT
As for News - http://www.civil.ge/geo/ is Georgian version
Ignore http://www.una.ge which is for contact only - i got it from bottom right js popup at civil.ge page.

As for Mail top.ge - entry page is on English, but registration is Georgian :)
http://mail.top.ge/terms.htm
http://mail.avoe.ge/register.php
Comment 20 Axel Hecht [:Pike] 2008-04-07 09:52:48 PDT
I don't think we should have a specific google plugin for Georgian. The wikipedia plugin looks fine, we need to make sure it's in the build though.

That won't happen unless list.txt and the file itself match, and the best way to tell that is to actually create a full patch. Here's a short outline of what I'd like to have the patch look like:

cvs add wikipedia-ka.xml
rm amazondotcom.xml creativecommons.xml google.xml yahoo.xml answers.xml eBay.xml wikipedia.xml
cvs rm amazondotcom.xml creativecommons.xml google.xml yahoo.xml answers.xml eBay.xml wikipedia.xml
cvs -z3 diff -uN

The removal of the original files is totally fine as the build picks those up from the en-US source directories anyways.

Sorry for the late reply, I wasn't CC on this bug, and there was no actual review request on the latest attachments.

For protocol handlers, we currently have 30boxes for webcal: in the tree, but not a mailto handler (i.e., the en-US default for now). I think we should fix the latter as well.
Comment 21 Mic Berman 2008-04-08 07:32:07 PDT
gia, closing out on live bookmark for http://www.civil.ge/geo/ i'm ok with that but do they have an RSS feed? i'm trying to find the url for that on their site.

i'll post permission when i receive it
Comment 22 Mic Berman 2008-04-09 18:17:29 PDT
here is email i have sent. (still waiting on response). axel think we're ok to go ahead?

----- Original Message -----
From: "Michal Berman" <>
To: civilgeorgia
Cc: "giasher" <
Sent: Tuesday, April 8, 2008 10:34:05 AM GMT -05:00 US/Canada Eastern
Subject: Firefox Georgian news feed

Hello

We would like to include your news feed in our upcoming release of Firefox 3 in Georgian. If you do not wish to give us permission please let us know as soon as possible. It would also be great to get confirmation from you that you give us permission to include your news feed in our browser. This means that users will click on your news stories and be taken to your website.

Thank you


-- 
Michal Berman
Mozilla Corporation
International localization - Driver
Comment 23 Axel Hecht [:Pike] 2008-04-10 05:02:23 PDT
Can we take the RSS feed discussion into a new bug? That's just distracting us from things that need to get done now.

For the things that are missing now, and are affected by tonight's deadline, see comment 20.
Comment 24 Mic Berman 2008-04-10 06:14:01 PDT
moving feed discussion to new bug 428301
Comment 25 Axel Hecht [:Pike] 2008-04-14 02:36:57 PDT
Gia, we still need a patch for wikipedia, please check comment 20 again?
Comment 26 Gia Shervashidze 2008-04-14 14:07:03 PDT
Created attachment 315624 [details] [diff] [review]
list.txt patch for wkipedia-ka

You always puzzling me :)
Did You mean this?
Comment 27 Axel Hecht [:Pike] 2008-04-15 03:21:36 PDT
Created attachment 315738 [details] [diff] [review]
wikipedia-ka, cvs remove old plugins, fix region.properties

Instead of explaining again, I'll just grab this bug. This should happen too frequently, as I can't fix all of these bugs myself, really.

I'll land the attached patch, please make sure to cvs update browser, and to resolve all conflicts. Your working copies should have no left-over changes in ka/browser/searchplugins and ka/browser/chrome/browser-region, you might want to just remove both directories before the update.

Don't check-in any changes to any of the two directories without a patch that has my review, no matter why and what.
Comment 28 Axel Hecht [:Pike] 2008-04-15 03:29:31 PDT
Checking in chrome/browser-region/region.properties;
/l10n/l10n/ka/browser/chrome/browser-region/region.properties,v  <--  region.properties
new revision: 1.5; previous revision: 1.4
done
Removing searchplugins/amazondotcom.xml;
/l10n/l10n/ka/browser/searchplugins/amazondotcom.xml,v  <--  amazondotcom.xml
new revision: delete; previous revision: 1.4
done
Removing searchplugins/answers.xml;
/l10n/l10n/ka/browser/searchplugins/answers.xml,v  <--  answers.xml
new revision: delete; previous revision: 1.3
done
Removing searchplugins/creativecommons.xml;
/l10n/l10n/ka/browser/searchplugins/creativecommons.xml,v  <--  creativecommons.xml
new revision: delete; previous revision: 1.4
done
Removing searchplugins/eBay.xml;
/l10n/l10n/ka/browser/searchplugins/eBay.xml,v  <--  eBay.xml
new revision: delete; previous revision: 1.4
done
Removing searchplugins/google.xml;
/l10n/l10n/ka/browser/searchplugins/google.xml,v  <--  google.xml
new revision: delete; previous revision: 1.4
done
Checking in searchplugins/list.txt;
/l10n/l10n/ka/browser/searchplugins/list.txt,v  <--  list.txt
new revision: 1.3; previous revision: 1.2
done
RCS file: /l10n/l10n/ka/browser/searchplugins/wikipedia-ka.xml,v
done
Checking in searchplugins/wikipedia-ka.xml;
/l10n/l10n/ka/browser/searchplugins/wikipedia-ka.xml,v  <--  wikipedia-ka.xml
initial revision: 1.1
done
Removing searchplugins/wikipedia.xml;
/l10n/l10n/ka/browser/searchplugins/wikipedia.xml,v  <--  wikipedia.xml
new revision: delete; previous revision: 1.1
done
Removing searchplugins/yahoo.xml;
/l10n/l10n/ka/browser/searchplugins/yahoo.xml,v  <--  yahoo.xml
new revision: delete; previous revision: 1.3
done

Marking FIXED, with reference http://hg.mozilla.org/users/axel_mozilla.com/l10n-src-verification/index.cgi/file/6237b137f2e1/reference/HEAD/ka/.

Note You need to log in before you can comment on or make changes to this bug.